Page MenuHomePhabricator

[SVE]Fix implicit TypeSize casts in EmitCheckValue
ClosedPublic

Authored by CarolineConcatto on Oct 13 2020, 6:14 AM.

Details

Summary

Using TypeSize::getFixedSize() instead of relying upon the implicit TypeSize->uint64_cast as the type is always fixed width.

Diff Detail

Event Timeline

Herald added a project: Restricted Project. · View Herald TranscriptOct 13 2020, 6:14 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript
CarolineConcatto requested review of this revision.Oct 13 2020, 6:14 AM
CarolineConcatto retitled this revision from Fix implicit TypeSize casts in EmitCheckValue to [SVE]Fix implicit TypeSize casts in EmitCheckValue.
CarolineConcatto edited the summary of this revision. (Show Details)Oct 13 2020, 7:21 AM
david-arm accepted this revision.Oct 14 2020, 12:03 AM
This revision is now accepted and ready to land.Oct 14 2020, 12:03 AM
This revision was landed with ongoing or failed builds.Oct 15 2020, 5:30 AM
This revision was automatically updated to reflect the committed changes.